org.bouncycastle.bcpg

## Class RSAPublicBCPGKey

- java.lang.Object
- - org.bouncycastle.bcpg.BCPGObject
  - - org.bouncycastle.bcpg.RSAPublicBCPGKey

All Implemented Interfaces:
  BCPGKey

    public class RSAPublicBCPGKey
    extends BCPGObject
    implements BCPGKey

base class for an RSA Public Key.

### Constructor Summary

Constructors
Constructor and Description
`RSAPublicBCPGKey(BCPGInputStream in)` Construct an RSA public key from the passed in stream.
`RSAPublicBCPGKey(java.math.BigInteger n, java.math.BigInteger e)`

### Method Summary

Methods
`void` `encode(BCPGOutputStream out)`
`byte[]` `getEncoded()` return the standard PGP encoding of the key.
`java.lang.String` `getFormat()` return "PGP"
`java.math.BigInteger` `getModulus()`
`java.math.BigInteger` `getPublicExponent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSAPublicBCPGKey

    public RSAPublicBCPGKey(BCPGInputStream in)
                     throws java.io.IOException

Construct an RSA public key from the passed in stream.

Parameters:
  `in` -
Throws:
  `java.io.IOException`

#### RSAPublicBCPGKey

    public RSAPublicBCPGKey(java.math.BigInteger n,
                    java.math.BigInteger e)

Parameters:
  `n` - the modulus
  `e` - the public exponent

### Method Detail

#### getPublicExponent

    public java.math.BigInteger getPublicExponent()

#### getModulus

    public java.math.BigInteger getModulus()

#### getFormat

    public java.lang.String getFormat()

return "PGP"

Specified by:
  `getFormat` in interface `BCPGKey`
Returns:
  "RAW" or "PGP"
See Also:
  `BCPGKey.getFormat()`

#### getEncoded

    public byte[] getEncoded()

return the standard PGP encoding of the key.

Specified by:
  `getEncoded` in interface `BCPGKey`
Overrides:
  `getEncoded` in class `BCPGObject`
Returns:
  byte[]
See Also:
  `BCPGKey.getEncoded()`

#### encode

    public void encode(BCPGOutputStream out)
                throws java.io.IOException

Specified by:
  `encode` in class `BCPGObject`
Throws:
  `java.io.IOException`